Documentation

Export

Export search results as TSV

Export filtered search results as a downloadable TSV file. Supports the same search parameters as the token search endpoint.

ProductionStagingUATLocal development
GEThttps://linguistic.ankiren.com/api/datasets/{slug}/export

Parameters

Path Parameters

  • slugstringpathRequired

    URL-friendly identifier for the dataset

Query Parameters

  • searchstringquery

    Search conditions (same format as token search)

  • split"train" | "test"query

    Filter by data split

Responses

200 · TSV file download

text/tab-separated-values
"Sentence\tSplit\tSentenceId\tMatchedTokens\tMatchedTags\tMatchPositions\tMatchTypes\nTôi muốn đi ra ngoài\ttrain\t42\tđi ra\tV R\t2,3\ttoken,tag\n"

Sample Code

Đổi ngôn ngữ ở ô Language trên thanh Documentation.

cURL
curl -X GET 'https://linguistic.ankiren.com/api/datasets/vlsp2013-postag/export' \
  -H 'Authorization: Bearer <token>' \
  -H 'Accept: application/json'